package com.jpsoft.shinestar.modules.business.service;

import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.base.entity.GoodsInfo;
import com.jpsoft.shinestar.modules.base.entity.PersonInfo;
 import com.jpsoft.shinestar.modules.business.entity.CameraPurchaser;
import com.jpsoft.shinestar.modules.common.dto.Sort;

import java.util.List;
import java.util.Map;

public interface CameraPurchaserService {
	CameraPurchaser get(String id);
	CameraPurchaser getByPersonId( Long studentId);

	boolean exist(String id);
	int insert(CameraPurchaser model);
	int update(CameraPurchaser model);
	int delete(String id);
	List<CameraPurchaser> list();
	Page<CameraPurchaser> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, boolean count, List<Sort> sortList);

    com.jpsoft.shinestar.modules.base.dto.CashierDTO submit(GoodsInfo goodsInfo, Map<String, Object> Params);


}